Bug 439634 - error about xine, when totem-backend ran
error about xine, when totem-backend ran
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-29 17:23 EDT by Jakub 'Livio' Rusinek
Modified: 2008-04-11 08:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-11 08:18:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
totem-backend-better-error-message.patch (1.53 KB, patch)
2008-03-31 12:34 EDT, Bastien Nocera
no flags Details | Diff
Better error messages, support single-backend installs (2.99 KB, patch)
2008-03-31 17:24 EDT, Stewart Adam
no flags Details | Diff

  None (edit)
Description Jakub 'Livio' Rusinek 2008-03-29 17:23:11 EDT
Description of problem:
I've installed totem-gstreamer and I want to be sure, that totem will use it:

$ sudo totem-backend -b gstreamer
Error: The xine backend was not found! Please check your totem installation.
$ 

but totem-backend script seems to dislike gstreamer :) .
Comment 1 Bastien Nocera 2008-03-30 12:57:35 EDT
Jeremy, that's never a blocker. Just a bad error message, which should mention
that there's nothing to switch, as GStreamer is the only backend installed.
Comment 2 Bastien Nocera 2008-03-31 12:34:45 EDT
Created attachment 299737 [details]
totem-backend-better-error-message.patch

Stewart, could you please verify that the script still works as expected with
this patch?

It should avoid confusing error messages when only one backend is installed.
Comment 3 Stewart Adam 2008-03-31 17:24:02 EDT
Created attachment 299766 [details]
Better error messages, support single-backend installs

I reorganized the script's logic a bit, in any case (root or non-root) sets
some variables, checks to make sure arguments are valid, then takes action. It
should work with single-backends, too.
Comment 4 Bastien Nocera 2008-04-08 14:14:44 EDT
Stewart, feel free to commit.
Comment 5 Stewart Adam 2008-04-08 16:42:07 EDT
Thanks - I've commited, but not tagged/built... The final freeze was this
morning so unless we want to make an exception this will come as a zero-day update.
Comment 6 Bastien Nocera 2008-04-11 08:18:52 EDT
Good enough.

Note You need to log in before you can comment on or make changes to this bug.